Subject: [os2genau_digest] No. 1823
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 25 Jun 2009 00:00:56 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Wednesday 24 June 2009
 Number  1823
**************************************************

Subjects for today
 
1   Happy 20th Birthday Australian Internet : Ian Manners" <deadmail>
2  Re:  USB to Parallel : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  USB to Parallel : Alan Duval <amoht at westnet dot com dot au>
4  Re:  USB to Parallel : Chuck McKinnis <mckinnis at sandia dot net>
5  Re:  $12 injet anyone ? : Nicholas Lysaght <nicholasrf at gmail dot com>
6  Re:  USB to Parallel : Ed Durrant <edurrant at durrant dot mine dot nu>
7  Re:  USB to Parallel : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Wed, 24 Jun 2009 00:26:06 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:   Happy 20th Birthday Australian Internet

...................Begin Forwarded Message..................
> From: Geoff Huston 
> To: AusNOG 
> Date: Tue, 23 Jun 2009 20:27:03 +1000
> X-Mailer: Apple Mail (2.935.3)

On the night of the 23rd June 1989 Robert Elz of the University of  
Melbourne and Torben Neilsen of the University of Hawaii completed the  
connection work that bought the Internet to Australia. It was a 56kbps  
satellite circuit, and the Australian end used a Proteon P4100 router.

Since that day we've evidently connected some 56.8% of the population,  
or 12,073,852 Australians, to the Internet (according to user  
statistics published by the ITU-T)

  I think thats a pretty impressive record, and worth noting!

   Geoff
_______________________________________________
AusNOG mailing list
....................End Forwarded Message..................

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   2 ==========================**

Date:  Wed, 24 Jun 2009 08:15:57 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  USB to Parallel

Alan Duval wrote:
>>>
>> OK, if it worked before with eCS it must be a pure hardware device, 
>> so that's good.
>>
>> When you go into install printer / create printer, is a USB Port 
>> shown with the name of your printer (or perhaps the printer cable) 
>> under it ? It'll be blue USB letters across the top, then the plug 
>> symbol and then something (not just USB) underneath it.
>>
> It has blue USB letters across the top, then the plug symbol and 
> underneath is the words  Prolific_IEEE_1284_Cont_1

  OK - that's a good sign.
>> If you don't have this, go to \ecs\system\usbdock and run usbdock - 
>> can it see the device ? If not you have a physical USB connectivity 
>> problem.
>>
>> If it does see something (it'll give a vendor and model code) - then 
>> we are a step closer.
>>
   Well since the USB Port reports the cable - usbdock would report 
something as well I guess.
>> USB removable device monitor is the program that pops up the drive X: 
>> has been attached when you plug in a USB memory key - it is not the 
>> printer monitor that you need to run.
>
> I did a search and no USBMON was found.
  OK, well, we might not have to have it - it's an assist to auto-find 
the connected printers. It sounds like you did not tick the usb-printer 
support when you installed the OS - lets not worry about this for now.
> When I plug in a USB memory key the program pops up to show the drive 
> attached so I presume the Event Monitor assumes this function.
>
  This is the other USB sensing program - not part of the USB printing 
process.

>>
>>
OK, so you have a printer object defined, and have selected the USB port 
for it.

Go into the properties of the printer object.

Go to the output port tab.

The Prolific_IEEE_1284_Cont_1 USB port should be shown hatched 
(selected). Double click this icon.

What does the status field say ?

(this is with the printer connected and turned on, ideally before you 
start the PC).

-- 
Cheers/2

Ed

Checkout my new (WIP) eComStation Australia Podcast 
- search for eComStation at iTunes or Podcastblaster dot com or add the RSS feed http://feeds2.feedburner dot com/eComStationAustralia to Thunderbird.

Don't miss the tenth Warpstock Europe at Stralsund 12-15 November 2009 check out - http://www.warpstock.eu for details.

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Wed, 24 Jun 2009 09:37:17 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  USB to Parallel

Ed Durrant wrote:
>
>>> If you don't have this, go to \ecs\system\usbdock and run usbdock - 
>>> can it see the device ? If not you have a physical USB connectivity 
>>> problem.
>>>
>>> If it does see something (it'll give a vendor and model code) - then 
>>> we are a step closer.
>>>
>   Well since the USB Port reports the cable - usbdock would report 
> something as well I guess.

USBDOCK  shows a cube icon with 067B:2305 underneath and the following 
in the text area:

Device name      Prolific PL2305 Parallel
Identifier (Vendor:Product ID)      047b:2305
Speed      slow speed (1.0)
Unknown devices are detected,  Send logs to usbdock at ecom.......

> OK, so you have a printer object defined, and have selected the USB 
> port for it.
>
> Go into the properties of the printer object.
>
> Go to the output port tab.
>
> The Prolific_IEEE_1284_Cont_1 USB port should be shown hatched 
> (selected). Double click this icon.
>
> What does the status field say ?
>
> (this is with the printer connected and turned on, ideally before you 
> start the PC).

It says:

Port name      Prolific_IEEE_1284_Cont1
Status            OFFLINE (DETACHED)

Auto monitor button is ticked

BTW  I put my WIN XP HD in and WIN XP detected new hardware and I was 
able to print after adding the printer.
I then put my Linux HD in and Linux seems to see the printer as it says 
HP_960C not connected when I plug the USB parallel cable in, but I don't 
know how to associate the printer with the USB port.
I tried to find out more about the cable but can't find any reference at 
the Prolific site. Other USB parallel cables on sale only mention WIN 
and MAC support.

Regards,

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Tue, 23 Jun 2009 17:45:17 -0600
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  USB to Parallel

Alan Duval wrote:
> Hi,
> 
> If I use a USB to Parallel cable to connect my Parallel port Printer, 
> what driver would I need?
> 
> Regards,
> 
> Alan Duval
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
> 

Just to make it a little more confusing, there are 2 programs named 
USBMON.EXE.  One is in \OS2 (the printer monitor), and one is in 
\OS2\BOOT (the storage, thumb drive, etc., monitor).  Both need to be 
executed from the Startup folder to enable drive insertion detection and 
printer detection.

Both drivers can be downloaded for installation from 
www.ecomstation dot com.  Both packages have text files with the 
installation instructions.

-- 
Chuck McKinnis
1449 State Highway 14 N
Sandia Park, NM 87047
505-286-3191
http://www.7cities dot net/~mckinnis/
Remember Lot's wife. Luke 17:32

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Wed, 24 Jun 2009 11:18:22 +0800
From:  Nicholas Lysaght <nicholasrf at gmail dot com>
Subject:  Re:  $12 injet anyone ?

[attachments have been removed]
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   6 ==========================**

Date:  Wed, 24 Jun 2009 16:51:36 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  USB to Parallel

Alan Duval wrote:
> Ed Durrant wrote:
>>
>>>> If you don't have this, go to \ecs\system\usbdock and run usbdock - 
>>>> can it see the device ? If not you have a physical USB connectivity 
>>>> problem.
>>>>
>>>> If it does see something (it'll give a vendor and model code) - 
>>>> then we are a step closer.
>>>>
>>   Well since the USB Port reports the cable - usbdock would report 
>> something as well I guess.
>
> USBDOCK  shows a cube icon with 067B:2305 underneath and the following 
> in the text area:
>
> Device name      Prolific PL2305 Parallel
> Identifier (Vendor:Product ID)      047b:2305
> Speed      slow speed (1.0)
> Unknown devices are detected,  Send logs to usbdock at ecom.......
>
>
OK, that's good.

>> OK, so you have a printer object defined, and have selected the USB 
>> port for it.
>>
>> Go into the properties of the printer object.
>>
>> Go to the output port tab.
>>
>> The Prolific_IEEE_1284_Cont_1 USB port should be shown hatched 
>> (selected). Double click this icon.
>>
>> What does the status field say ?
>>
>> (this is with the printer connected and turned on, ideally before you 
>> start the PC).
>
> It says:
>
> Port name      Prolific_IEEE_1284_Cont1
> Status            OFFLINE (DETACHED)
>
> Auto monitor button is ticked
>
>
That should say Online, so it seems to be saying that the printer is not 
correctly connected to the cable - or that there is a problem with the 
printer hardware.

When you send a print to the printer - what happens ? Does it stay 
"stuck" in the print queue or does it go through but nothing comes out ?

>
> BTW  I put my WIN XP HD in and WIN XP detected new hardware and I was 
> able to print after adding the printer.
OK, so that proves the printer itself is OK.

> I then put my Linux HD in and Linux seems to see the printer as it 
> says HP_960C not connected when I plug the USB parallel cable in, but 
> I don't know how to associate the printer with the USB port.
> I tried to find out more about the cable but can't find any reference 
> at the Prolific site. Other USB parallel cables on sale only mention 
> WIN and MAC support.
>
>
One last thing to check. Through earlier attempts you could have data in 
the spooler that is blocking this from working.

Go to the C:\VAR\SPOOL directory (assuming this is an eCS 2.0 RC 
install) and you should see the Prolific_IEEE_1284_Cont1  (or something 
like that) - go into that directory and delete any files that are in 
there, then restart the system 9with the printer connected and turned on.

> Regards,
>
> Alan
>

-- 
Cheers/2

Ed

Checkout my new (WIP) eComStation Australia Podcast 
- search for eComStation at iTunes or Podcastblaster dot com or add the RSS feed http://feeds2.feedburner dot com/eComStationAustralia to Thunderbird.

Don't miss the tenth Warpstock Europe at Stralsund 12-15 November 2009 check out - http://www.warpstock.eu for details.

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   7 ==========================**

Date:  Wed, 24 Jun 2009 18:31:55 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  USB to Parallel

Ed Durrant wrote:
> Alan Duval wrote:
>> Ed Durrant wrote:
>>>
>>>>> If you don't have this, go to \ecs\system\usbdock and run usbdock 
>>>>> - can it see the device ? If not you have a physical USB 
>>>>> connectivity problem.
>>>>>
>>>>> If it does see something (it'll give a vendor and model code) - 
>>>>> then we are a step closer.
>>>>>
>>>   Well since the USB Port reports the cable - usbdock would report 
>>> something as well I guess.
>>
>> USBDOCK  shows a cube icon with 067B:2305 underneath and the 
>> following in the text area:
>>
>> Device name      Prolific PL2305 Parallel
>> Identifier (Vendor:Product ID)      047b:2305
>> Speed      slow speed (1.0)
>> Unknown devices are detected,  Send logs to usbdock at ecom.......
>>
>>
> OK, that's good.
>
>
>>> OK, so you have a printer object defined, and have selected the USB 
>>> port for it.
>>>
>>> Go into the properties of the printer object.
>>>
>>> Go to the output port tab.
>>>
>>> The Prolific_IEEE_1284_Cont_1 USB port should be shown hatched 
>>> (selected). Double click this icon.
>>>
>>> What does the status field say ?
>>>
>>> (this is with the printer connected and turned on, ideally before 
>>> you start the PC).
>>
>> It says:
>>
>> Port name      Prolific_IEEE_1284_Cont1
>> Status            OFFLINE (DETACHED)
>>
>> Auto monitor button is ticked
>>
>>
> That should say Online, so it seems to be saying that the printer is 
> not correctly connected to the cable - or that there is a problem with 
> the printer hardware.
>
> When you send a print to the printer - what happens ? Does it stay 
> "stuck" in the print queue or does it go through but nothing comes out ?

It says "Your printer is not responding"

>> One last thing to check. Through earlier attempts you could have data 
>> in the spooler that is blocking this from working.
>
> Go to the C:\VAR\SPOOL directory (assuming this is an eCS 2.0 RC 
> install) and you should see the Prolific_IEEE_1284_Cont1  (or 
> something like that) - go into that directory and delete any files 
> that are in there, then restart the system 9with the printer connected 
> and turned on.
There is just a folder for the USB_HP which is the name of the printer I 
installed but it is empty.

Following Chuck's Email I went to the eComStstion site. Couldn't see any 
download files for USBMON but noticed a zip file USBP1057.ZIP
which was for installing USB printers and parallel printers connected to 
USB ports using a connecting device. I downloaded this and unzipped it 
to D:\USBupdate. I then read the text file which said to open an OS/2 
window and type USBPRTEN at the command prompt to expand it. As it was 
already expanded I didn't do this but wondered whether that would have 
placed the enclosed files in other directories. On searching I found 
that the files were in the directories later mentioned and that 
USBMON.EXE was in the directories Chuck mentioned.

It then said to open the existing (or create new) printer object 
properties window and select "output port" page. I went to Local System 
 > Printers where I have an icon "Printer" which is for my printer when 
connected directly by parallel cable. In it's properties window I 
selected "output port".
It then said "Select the " install new port" button by right clicking on 
LPT1 port icon and selecting install to open the dialog for the print 
object"  This I did.
Next it said to select the  "New port drivers" radio button and type the 
full path to the expanded port driver in the "Directory" edit box.
I typed    C:\OS2\DLL  and pressed refresh button as directed. This 
showed the USB port which I selected and then pressed the install button 
as directed.
It then said to shut down and restart.

When restarted and I tried to print a page It again said "Your printer 
is not responding"   so I don't think this USB to parallel cable is 
going to work unless someone has other ideas.

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===